Dynamiq
Apps

List app triggers

Lists triggers configured for an app, sorted by name by default.

GET
/v1/apps/{app_id}/triggers

Authorization

AuthorizationBearer <token>

Organization or project Access Key created in the Dynamiq console. Used for deployed-app (Runs API), AI Gateway, traces collector, and management API requests. Send as Authorization: Bearer <access-key>.

In: header

Path Parameters

app_id*string

App UUID.

Query Parameters

page?integer

Page number (1-based).

page_size?integer

Number of items per page.

sort?string

Comma-separated sort fields. Prefix a field with - for descending order, e.g. sort=-started_at.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/triggers"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "provider": "pipedream",
      "config": {
        "trigger_id": "string",
        "configured_props": {},
        "dynamic_props_id": "string",
        "deployed_trigger_id": "string"
      },
      "input_transformer": {
        "path": "string",
        "selector": {
          "property1": "string",
          "property2": "string"
        }
      },
      "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
      "status": "draft",
      "created_at": "2019-08-24T14:15:22Z",
      "created_by": "string",
      "updated_at": "2019-08-24T14:15:22Z",
      "updated_by": "string"
    }
  ],
  "pagination": {
    "page": 0,
    "page_size": 0,
    "page_count": 0,
    "total_count": 0
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Unauthorized"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not Found"
  }
}